Company logoTrust Center Documentation

Create a new contact

Create a new contact. The contact will have a default review status of "to_review". Browse request parameters, authentication requirements, response…

POST
/api/v1/contacts

Create a new contact. The contact will have a default review status of "to_review".

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/contacts" \  -H "Content-Type: application/json" \  -d '{    "email": "john.doe@example.com",    "first_name": "John",    "last_name": "Doe",    "title": "Security Manager",    "review_status": "to_review"  }'
{  "success": true,  "data": {    "contact": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "user@example.com",      "first_name": "string",      "last_name": "string",      "title": "string",      "review_status": "to_review",      "account": {},      "tenant": "string",      "documents": [        {          "documents_id": "string"        }      ],      "access_requests": [        {}      ],      "vendor": "string",      "invitations": [        "string"      ],      "nda_acceptances": [        {          "id": "string",          "contact": "string",          "state": "string",          "date_created": "2019-08-24T14:15:22Z",          "download_type": "file",          "has_download": true        }      ],      "date_created": "2019-08-24T14:15:22Z",      "date_updated": "2019-08-24T14:15:22Z",      "custom_fields": [        "string"      ]    }  }}

How is this guide?